aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2013-12-18 09:36:21 +0000
committerChristian Grothoff <christian@grothoff.org>2013-12-18 09:36:21 +0000
commit683ac9db63e03aa51f15c0854515fcfa487dc686 (patch)
tree4af271f52f043e7e7785d2428d445323a46ecab7
parent93bfa19afe98d3cc43606201a560437f465774e0 (diff)
downloadgnunet-683ac9db63e03aa51f15c0854515fcfa487dc686.tar.gz
gnunet-683ac9db63e03aa51f15c0854515fcfa487dc686.zip
-pipe garbage to /dev/null
-rwxr-xr-xsrc/gns/test_gns_cname_lookup.sh4
-rwxr-xr-xsrc/gns/test_gns_gns2dns_lookup.sh4
-rwxr-xr-xsrc/gns/test_gns_ipv6_lookup.sh4
-rwxr-xr-xsrc/gns/test_gns_nick_shorten.sh14
-rwxr-xr-xsrc/gns/test_gns_plus_lookup.sh4
-rwxr-xr-xsrc/gns/test_gns_rel_expiration.sh4
-rwxr-xr-xsrc/gns/test_gns_txt_lookup.sh4
-rwxr-xr-xsrc/gns/test_gns_zkey_lookup.sh4
8 files changed, 21 insertions, 21 deletions
diff --git a/src/gns/test_gns_cname_lookup.sh b/src/gns/test_gns_cname_lookup.sh
index cbd50cdeb..538861c0e 100755
--- a/src/gns/test_gns_cname_lookup.sh
+++ b/src/gns/test_gns_cname_lookup.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_gns2dns_lookup.sh b/src/gns/test_gns_gns2dns_lookup.sh
index 8f3341b07..34ec1dc83 100755
--- a/src/gns/test_gns_gns2dns_lookup.sh
+++ b/src/gns/test_gns_gns2dns_lookup.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_ipv6_lookup.sh b/src/gns/test_gns_ipv6_lookup.sh
index ffee8409e..71b7585b3 100755
--- a/src/gns/test_gns_ipv6_lookup.sh
+++ b/src/gns/test_gns_ipv6_lookup.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_nick_shorten.sh b/src/gns/test_gns_nick_shorten.sh
index 83fc20713..fef80b4d0 100755
--- a/src/gns/test_gns_nick_shorten.sh
+++ b/src/gns/test_gns_nick_shorten.sh
@@ -3,7 +3,7 @@ trap "gnunet-arm -e -c test_gns_nick_shorten.conf" SIGINT
3which timeout &> /dev/null && DO_TIMEOUT="timeout 5" 3which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
4 4
5# This test tests shortening functionality based on NICK records: 5# This test tests shortening functionality based on NICK records:
6# 6#
7# zone "delegatedego": Alice's zone 7# zone "delegatedego": Alice's zone
8# zone "testego": Local zone with delegation to alice 8# zone "testego": Local zone with delegation to alice
9 9
@@ -12,10 +12,10 @@ if [ -z $LOCATION ]
12then 12then
13 LOCATION="gnunet-config" 13 LOCATION="gnunet-config"
14fi 14fi
15$LOCATION --version 15$LOCATION --version &> /dev/null
16if test $? != 0 16if test $? != 0
17then 17then
18 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 18 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
19 exit 77 19 exit 77
20fi 20fi
21 21
@@ -47,7 +47,7 @@ echo "Adding nick names for identities"
47gnunet-namestore -z testego -i $TEST_NICK_EGO -c $TEST_CONFIG 47gnunet-namestore -z testego -i $TEST_NICK_EGO -c $TEST_CONFIG
48gnunet-namestore -z delegatedego -i $TEST_NICK_DELEGATED -c $TEST_CONFIG 48gnunet-namestore -z delegatedego -i $TEST_NICK_DELEGATED -c $TEST_CONFIG
49 49
50# Adding label www in Alice's delegatedego zone 50# Adding label www in Alice's delegatedego zone
51echo "Adding www record with IP $TEST_IP" 51echo "Adding www record with IP $TEST_IP"
52gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_nick_shorten.conf 52gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_nick_shorten.conf
53 53
@@ -94,12 +94,12 @@ then
94else 94else
95 echo "FAIL: Expected PKEY in $DELEGATED_PKEY, received PKEY $PKEY_SHORT_RES in master zone." 95 echo "FAIL: Expected PKEY in $DELEGATED_PKEY, received PKEY $PKEY_SHORT_RES in master zone."
96 RES=1 96 RES=1
97fi 97fi
98 98
99if [ $RES -eq 0 ] 99if [ $RES -eq 0 ]
100then 100then
101 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u $TEST_NAME_SHORT -t A -c test_gns_nick_shorten.conf` 101 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u $TEST_NAME_SHORT -t A -c test_gns_nick_shorten.conf`
102 if [ "$RES_IP" == "$TEST_IP" ] 102 if [ "$RES_IP" == "$TEST_IP" ]
103 then 103 then
104 echo "PASS: Received $TEST_IP for $TEST_NAME_SHORT" 104 echo "PASS: Received $TEST_IP for $TEST_NAME_SHORT"
105 else 105 else
diff --git a/src/gns/test_gns_plus_lookup.sh b/src/gns/test_gns_plus_lookup.sh
index 652838cb8..91865b346 100755
--- a/src/gns/test_gns_plus_lookup.sh
+++ b/src/gns/test_gns_plus_lookup.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_rel_expiration.sh b/src/gns/test_gns_rel_expiration.sh
index 05714aed2..1f46d3c30 100755
--- a/src/gns/test_gns_rel_expiration.sh
+++ b/src/gns/test_gns_rel_expiration.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_txt_lookup.sh b/src/gns/test_gns_txt_lookup.sh
index f60ba1dbb..a025eb8be 100755
--- a/src/gns/test_gns_txt_lookup.sh
+++ b/src/gns/test_gns_txt_lookup.sh
@@ -6,10 +6,10 @@ if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config" 7 LOCATION="gnunet-config"
8fi 8fi
9$LOCATION --version 9$LOCATION --version &> /dev/null
10if test $? != 0 10if test $? != 0
11then 11then
12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13 exit 77 13 exit 77
14fi 14fi
15 15
diff --git a/src/gns/test_gns_zkey_lookup.sh b/src/gns/test_gns_zkey_lookup.sh
index 9ce5e1d37..619a9eb32 100755
--- a/src/gns/test_gns_zkey_lookup.sh
+++ b/src/gns/test_gns_zkey_lookup.sh
@@ -7,10 +7,10 @@ if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config" 8 LOCATION="gnunet-config"
9fi 9fi
10$LOCATION --version 10$LOCATION --version &> /dev/null
11if test $? != 0 11if test $? != 0
12then 12then
13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14 exit 77 14 exit 77
15fi 15fi
16 16